### Hierarchy

- Options

## Index

### Properties

- baseBoundary
- filename
- keepBcc
- parentNode
- rootNode
- textEncoding

### Methods

- normalizeHeaderKey

## Properties

### Optional baseBoundary

baseBoundary: undefined | string

- Defined in node_modules/@types/nodemailer/lib/mime-node.d.ts:33

shared part of the unique multipart boundary

### Optional filename

filename: undefined | string

- Defined in node_modules/@types/nodemailer/lib/mime-node.d.ts:31

filename for an attachment node

### Optional keepBcc

keepBcc: undefined | false | true

- Defined in node_modules/@types/nodemailer/lib/mime-node.d.ts:35

If true, do not exclude Bcc from the generated headers

### Optional parentNode

parentNode: MimeNode

- Defined in node_modules/@types/nodemailer/lib/mime-node.d.ts:29

immediate parent for this node

### Optional rootNode

rootNode: MimeNode

- Defined in node_modules/@types/nodemailer/lib/mime-node.d.ts:27

root node for this tree

### Optional textEncoding

textEncoding: "B" | "Q"

- Defined in node_modules/@types/nodemailer/lib/mime-node.d.ts:37

either 'Q' (the default) or 'B'

## Methods

### Optional normalizeHeaderKey

- normalizeHeaderKey(key: string): string

- - Defined in node_modules/@types/nodemailer/lib/mime-node.d.ts:39

  method to normalize header keys for custom caseing

  #### Parameters

  - ##### key: string

  #### Returns string

Generated using TypeDoc